<?php

i18n_merge('ms_admin') || i18n_merge('ms_admin', 'en_US');

$thisfile=basename(__FILE__, ".php");

register_plugin(
	$thisfile, 						//Идентификатор плагина
	i18n_r('ms_admin/MODULNAME2'), 	//Название плагина
	i18n_r('ms_admin/MSAVERSION'), 	//Версия плагина
	i18n_r('ms_admin/AUTOR'),		//Автор плагина
	'http://muststyle.ru/', 		//Сайт автора
	i18n_r('ms_admin/DESCRIPTION'),	//краткое описание плагина
	'msadmin', 						//Тип страницы – на какой из вкладок административной панели появится плагин
	'ms_admin_function'  			//Главная функция плагина (функция администрирования)
);

# Добавляем вкладку MSadmin
add_action('nav-tab','createNavTab',array('msadmin','ms_admin','MSadmin', 'ms_admin_function'));

# Добавляем ссылки в боковом меню
add_action('msadmin-sidebar','createSideMenu',array($thisfile,i18n_r('ms_admin/MODULNAME1')));

# Функция - установка стиля
add_action('header', 'ms_sdmin_showcss');
add_action('index-login','ms_sdmin_showcss');
add_action('resetpassword','ms_sdmin_showcss');
function ms_sdmin_showcss() {
	global $SITEURL;
	echo '
	<!-- for MSadmin plugin -->
	<link type="text/css" rel="stylesheet" href="'.$SITEURL.'plugins/ms_admin/css/ms_admin.css" />
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css">
	<script type="text/javascript" src="'.$SITEURL.'plugins/ms_admin/js/ms_change.js"></script>
	'. "\n";
}
# Функция - вывод информации на основной вкладке
function ms_admin_function() {
	include(GSPLUGINPATH.'ms_admin/setting_ms_panel.php');
	echo '<h3>' . i18n_r('ms_admin/MODULNAME1') . '</h3>';
	echo $ms_admin_text_1;
	echo $ms_admin_text_2;
	echo '
		<p style="margin:30px 0px 15px 0px;">' . i18n_r('ms_admin/TXTAUTOR1') . ':</p>
		<ul>
			<li><a href="http://get-simple.info/extend/plugin/maintenance-mode/838/" target="_blank">Maintenance Mode</a> / ' . i18n_r('ms_admin/TXTAUTOR') . ': <a href="https://www.frixelsolutions.com/" target="_blank">Frixel Solutions</a></li>
			<li><a href="http://get-simple.info/extend/plugin/auto-open-page-options/187/" target="_blank">Auto-open Page Options</a> / ' . i18n_r('ms_admin/TXTAUTOR') . ': <a href="http://mvlcek.bplaced.net" target="_blank">Martin Vlcek</a></li>
			<li><a href="#" target="_blank">Collapsable pages</a> / ' . i18n_r('ms_admin/TXTAUTOR') . ': <a href="http://get-simple.info/forums/showthread.php?tid=7361" target="_blank">andy-man</a></li>
			<li><a href="http://get-simple.info/extend/plugin/theme-highlighter/186/" target="_blank">Theme Highlighter</a> / ' . i18n_r('ms_admin/TXTAUTOR') . ': <a href="http://mvlcek.bplaced.net" target="_blank">Martin Vlcek</a></li>
		</ul>
	';
	echo '
		<hr style="margin:30px 0px;border:none;border-top:1px solid #ddd;"/>
		<p>Если Вам понравился данный модуль и Вы хотели бы сказать нам спасибо:</p>
		<iframe src="https://money.yandex.ru/quickpay/shop-widget?writer=seller&targets=%D0%91%D0%BB%D0%B0%D0%B3%D0%BE%D0%B4%D0%B0%D1%80%D0%BD%D0%BE%D1%81%D1%82%D1%8C%20%D0%B7%D0%B0%20%D0%BF%D0%BE%D0%B4%D0%B4%D0%B5%D1%80%D0%B6%D0%BA%D1%83%20GetSimple&targets-hint=&default-sum=100&button-text=12&payment-type-choice=on&mobile-payment-type-choice=on&hint=&successURL=&quickpay=shop&account=410012592361672" width="450" height="213" frameborder="0" allowtransparency="true" scrolling="no"></iframe>
		<br/>
		<p style="margin-top:20px;">Плагин разработан студией дизайна MUST-STYLE - г. Санкт-Петербург<br/>Веб-сайт: <a href="http://muststyle.ru" target="_blank">http://muststyle.ru</a></p>
		<script type="text/javascript" src="'.$SITEURL.'plugins/ms_rating/template/jquery.tablesorter.js"></script>
		<script type="text/javascript" src="'.$SITEURL.'plugins/ms_rating/template/jquery.tablesorter.pager.js"></script>
		<script type="text/javascript" src="'.$SITEURL.'plugins/ms_rating/template/rating_fx.js"></script>
	';
}

# Функция - вывод меню администратора на сайте
add_action('theme-footer','ms_panel_function');
add_action('theme-footer','ms_panel_function2');
function ms_panel_function() {
	if (is_logged_in()) {
		include(GSPLUGINPATH.'ms_admin/setting_ms_panel.php');
		include(GSPLUGINPATH.'ms_admin/frontend_ms_panel.php');
		echo '<script type="text/javascript" src="'.$SITEURL.'plugins/ms_admin/js/ms_fx_user.js"></script>';
	 }
}
function ms_panel_function2() {
	if (!is_logged_in()) {
		echo '<link type="text/css" rel="stylesheet" href="'.$SITEURL.'plugins/ms_admin/css/ms_panel.css" />';
		echo '
		<div class="admin-block-enter" onclick="adminmenuenteropen();"></div>
		<div class="admin-menu-enter">
			<form action="/admin/index.php?" method="post">
				<table class="enter-table" cellspacing="0" cellpadding="0">
					<tr>
						<td class="enter-form"><button type="button" name="submitted" class="submit" title="' . i18n_r('ms_admin/RESETPASS') . '" onclick="self.location.href=\'/admin/resetpassword.php\';"><i class="fa fa-history" aria-hidden="true"></i></button></td>
						<td class="enter-form"><i class="fa fa-user fa-ico" aria-hidden="true"></i><input type="text" class="text" id="userid" name="userid" placeholder="' . i18n_r('ms_admin/LOGIN') . '"></td>
						<td class="enter-form"><i class="fa fa-unlock-alt fa-ico" aria-hidden="true"></i><input type="password" class="text" id="pwd" name="pwd" placeholder="' . i18n_r('ms_admin/PASSWORD') . '"></td>
						<td class="enter-form"><button type="submit" name="submitted" class="submit" title="' . i18n_r('ms_admin/ENTER') . '"><i class="fa fa-sign-in" aria-hidden="true"></i></button></td>
					</tr>
				</table>
			</form>
		</div>';
		echo '<script type="text/javascript" src="'.$SITEURL.'plugins/ms_admin/js/ms_fx_user.js"></script>';
	 }
}
# Функция - Сворачивание подстраниц
add_action('footer', 'collapsable_pages');
function collapsable_pages() {
if (basename($_SERVER['PHP_SELF']) == 'pages.php') {
?>
<style>
	.switch {background: url('<?php global $SITEURL; echo $SITEURL ?>plugins/ms_admin/images/plus.png') no-repeat center center #fff;}
	.switch.on {background: url('<?php global $SITEURL; echo $SITEURL ?>plugins/ms_admin/images/minus.png') no-repeat center center #fff;}
</style>
<script>
$(document).ready(function(){
	$('#editpages tr td.secondarylink a').html('<i class="fa fa-eye"></i>');
	$('.pagetitle span.showstatus sup').each(function (i) {
		var status = $(this).text();
		if(status.indexOf('[Приватная]')!=-1){
			$(this).parent().parent().parent().attr('status','private');
			$('#editpages tr[status=private] td.secondarylink a').html('<i class="fa fa-eye-slash"></i>');
		} else {
			$(this).parent().parent().parent().attr('status','menu');
			$('#editpages tr[status=menu] td.secondarylink a').html('<i class="fa fa-eye"></i>');
		};
	});
	$('#editpages tr').attr('rel',0).addClass('l-0');
	$('.pagetitle span').not('.showstatus').each(function(i,e){
		$tr = $(this).parent().parent();
		var level = $tr.find('.pagetitle span').not('.showstatus').size();
		$tr.attr('rel',level);
		$tr.attr('class','hidden l-'+level);
	});
	$('#editpages tr.hidden').each(function(i,e){
	if ( parseInt($(this).prev().attr('rel')) < parseInt($(this).attr('rel')) ) 
		$(this).prev().find('.pagetitle').prepend('<div class="switch"></div>').prepend('<b>Раздел:</b> ');
		});
	$('.pagetitle').on('click','.switch',function(){
		$tr = $(this).parent().parent();
		var lvl = parseInt($tr.attr('rel')); 
		if ($(this).hasClass('on'))
		$tr.nextUntil('.l-'+lvl).addClass('hidden').find('.switch.on').removeClass('on');
		else
		$tr.nextUntil('.l-'+lvl,'.l-'+(lvl+1)).removeClass('hidden');  
		$(this).toggleClass('on');
	});
});
</script>
<?php
  }
}
# Функция - Автооткрытие свойств страницы
add_action('edit-extras','pageoptions_init');
add_action('changedata-save', 'pageoptions_save');
function pageoptions_init() {
  global $id;
  $closed = array();
  if (isset($_COOKIE['no-autoopen'])) $closed = explode(',', $_COOKIE['no-autoopen']);
  $open = !in_array($id, $closed);
?>
  <script type="text/javascript">
    $(function() {
      <?php if ($open) { ?>
      $("#metadata_window").slideToggle('fast');
      $("#metadata_toggle").toggleClass('current'); 
      <?php } ?>
      $("#metadata_toggle").click(function(e) {
        var val = $("#autoopen-status").val();
        $("#autoopen-status").val(val == 1 ? 0 : 1);
      })   
    });
  </script>
  <input type="hidden" id="autoopen-status" name="autoopen-status" value="<?php echo $open ? 1 : 0; ?>"/>
<?php
}
function pageoptions_save() {
  global $url;
  $oldId = $_POST['existing-url'];
  $newId = $url;
  $closed = array();
  if (isset($_COOKIE['no-autoopen'])) $closed = explode(',', $_COOKIE['no-autoopen']);
  foreach ($closed as $i => $id) if ($id == $oldId || $id == $newId) unset($closed[$i]);
  if (@$_POST['autoopen-status'] == 0) $closed[] = $newId;
  setcookie('no-autoopen', implode(',', $closed), time()+365*24*3600);
}
# Функция - Подсветка синтаксиса
add_action('header','theme_highlighter_header');
add_action('footer','theme_highlighter_footer');
function theme_highlighter_header(){
  if (basename($_SERVER['PHP_SELF']) == 'components.php' || 
      basename($_SERVER['PHP_SELF']) == 'theme-edit.php' ||
      (basename($_SERVER['PHP_SELF']) == 'load.php' && @$_GET['id'] == 'custom-admin-css') ||
      (basename($_SERVER['PHP_SELF']) == 'load.php' && @$_GET['id'] == 'i18n_specialpages' && isset($_GET['config']))) {
    include(GSPLUGINPATH.'ms_admin/addons/theme_highlighter/header.php');
  }
}
function theme_highlighter_footer() {
  if (basename($_SERVER['PHP_SELF']) == 'components.php' || 
      basename($_SERVER['PHP_SELF']) == 'theme-edit.php' ||
      (basename($_SERVER['PHP_SELF']) == 'load.php' && @$_GET['id'] == 'custom-admin-css') ||
      (basename($_SERVER['PHP_SELF']) == 'load.php' && @$_GET['id'] == 'i18n_specialpages' && isset($_GET['config']))) {
    include(GSPLUGINPATH.'ms_admin/addons/theme_highlighter/footer.php');
  }
}