<?php if(!defined('IN_GS')){ die('you cannot load this page directly.'); }
/********************** MSadmin for CMS GetSimple **********************/
?>
<!--- MSadmin Panel --->
<link rel="stylesheet" href="<?php get_site_url(); ?>plugins/ms_admin/css/ms_panel.css">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css">
<ul class="msadmin">
	<li id="msa_logo" class="msa_logo" onclick="openmsa();" title="<?php i18n('ms_admin/TXTOPENMSA'); ?>"><i class="fa fa-bars"></i></li>
	<ul class="msa_menu">
		<li class="msa_main"><i class="fa fa-home"></i>
			<ul class="msa_submenu-01">
				<li><a href="/admin" target="_blank"><i class="fa fa-th-large"></i> <?php i18n('ms_admin/TXTINPANEL'); ?></a></li>
				<hr/>
				<li><i class="fa fa-file-text"></i> <?php i18n('ms_admin/TXTPAGES'); ?><span style="float:right;">»</span>
					<ul class="msa_submenu-02">
						<li><a href="/admin/edit.php" target="_blank"><i class="fa fa-file-text-o"></i> <?php i18n('ms_admin/TXTNEWPAGE'); ?></a></li>
						<li><a href="/admin/load.php?id=i18n_specialpages&create" target="_blank"><i class="fa fa-file-text"></i> <?php i18n('ms_admin/TXTXNEWPAGESP'); ?></a></li>
						<hr/>
						<li><a href="/admin/pages.php" target="_blank"><i class="fa fa-files-o"></i> <?php i18n('ms_admin/TXTPAGESLIST'); ?></a></li>
						<li><a href="/admin/menu-manager.php" target="_blank"><i class="fa fa-list-ul"></i> <?php i18n('ms_admin/TXTMENU'); ?></a></li>
					</ul>
				</li>
				<li><a href="/admin/upload.php" target="_blank"><i class="fa fa-folder-open"></i> <?php i18n('ms_admin/TXTFILEMANAG'); ?></a></li>
				<li><i class="fa fa-leaf"></i> <?php i18n('ms_admin/TXTTHEME'); ?><span style="float:right;">»</span>
					<ul class="msa_submenu-02">
						<li><a href="/admin/theme.php" target="_blank"><i class="fa fa-leaf"></i> <?php i18n('ms_admin/TXTTHEME'); ?></a></li>
						<li><a href="/admin/theme-edit.php" target="_blank"><i class="fa fa-paint-brush"></i> <?php i18n('ms_admin/TXTEDITTHEME'); ?></a></li>
						<hr/>
						<li><a href="/admin/components.php" target="_blank"><i class="fa fa-puzzle-piece"></i> <?php i18n('ms_admin/TXTEDITCOMP'); ?></a></li>
						<hr/>
						<li><a href="/admin/sitemap.php" target="_blank"><i class="fa fa-sitemap"></i> <?php i18n('ms_admin/TXTSITEMAP'); ?></a></li>
					</ul>
				</li>
				<li><i class="fa fa-cloud-download"></i> <?php i18n('ms_admin/TXTBACKUP'); ?><span style="float:right;">»</span>
					<ul class="msa_submenu-02">
						<li><a href="/admin/backups.php" target="_blank"><i class="fa fa-cloud-download"></i> <?php i18n('ms_admin/TXTPAGEARCH'); ?></a></li>
						<li><a href="/admin/archive.php" target="_blank"><i class="fa fa-cloud-download"></i> <?php i18n('ms_admin/TXTSITEARCH'); ?></a></li>
					</ul>
				</li>
				<li><a href="/admin/plugins.php" target="_blank"><i class="fa fa-cubes"></i> <?php i18n('ms_admin/TXTPLUGINS'); ?></a></li>
				<li><i class="fa fa-gear"></i> <?php i18n('ms_admin/TXTSETTINGS'); ?><span style="float:right;">»</span>
					<ul class="msa_submenu-02">
						<li><a href="/admin/load.php?id=ms_servicemode" target="_blank"><i class="fa fa-wrench"></i> <?php i18n('ms_admin/TXTSERVICEM'); ?></a></li>
						<hr/>
						<li><a href="/admin/settings.php?flushcache" target="_blank"><i class="fa fa-tachometer"></i> <?php i18n('ms_admin/TXTCLEANCASH'); ?></a></li>
						<hr/>
						<li><a href="/admin/settings.php" target="_blank"><i class="fa fa-gear"></i> <?php i18n('ms_admin/TXTSETSYSTEM'); ?></a></li>
						<li><a href="/admin/health-check.php" target="_blank"><i class="fa fa-exclamation-circle"></i> <?php i18n('ms_admin/TXTINFOSITE'); ?></a></li>
					</ul>
				</li>
				<hr/>
				<li><a href="/admin/logout.php" target="_blank"><i class="fa fa-sign-out"></i> <?php i18n('ms_admin/TXTEXIT'); ?></a></li>
			</ul>
		</li>
		<li class="msa_edit_page msa_no-open"><a href="/admin/edit.php?id=<?php get_page_slug() ?>" target="_blank" title="<?php i18n('ms_admin/TXTEDITPAGE'); ?>"><i class="fa fa-pencil"></i><span class="msa_menu_title"></span></a></li>
		<li class="msa_settings"><i class="fa fa-gear"></i>
			<ul class="msa_submenu-01">
				<li><a href="/admin/load.php?id=ms_servicemode" target="_blank"><i class="fa fa-wrench"></i> <?php i18n('ms_admin/TXTSERVICEM'); ?></a></li>
				<hr/>
				<li><a href="/admin/settings.php?flushcache" target="_blank"><i class="fa fa-tachometer"></i> <?php i18n('ms_admin/TXTCLEANCASH'); ?></a></li>
			</ul>
		</li>
	</ul>
	<li class="msa_date"><span id="hours"></span><script type="text/javascript" language="javascript" src="<?php get_site_url(); ?>plugins/ms_admin/js/ms_panel_date.js"></script></li>
	<li class="msa_notepad_butt msa_no-open" id="msa_notepad_butt" onclick="opennote();" title="<?php i18n('ms_admin/TXTNOTE'); ?>"><i class="fa fa-sticky-note"></i></li>
	<li id="msa_info-butt" class="msa_info"><i class="fa fa-exclamation-circle"></i>
		<ul class="msa_submenu-01">
			<li><a href="/admin/load.php?id=ms_admin" target="_blank"><i class="fa fa-shield"></i> <?php i18n('ms_admin/TXTVERSION'); ?>: <span style="float:right;">v.<?php echo $ms_admin_version ?></span></a></li>
			<li><a href="/admin/settings.php#profile" target="_blank"><i class="fa fa-user"></i> <?php i18n('ms_admin/TXTPROFILE'); ?></a></li>
			<hr/>
			<li><a href="/admin/logout.php" target="_blank"><i class="fa fa-sign-out"></i> <?php i18n('ms_admin/TXTEXIT'); ?></a></li>
		</ul>
	</li>
</ul>
<script type="text/javascript" language="javascript" src="<?php get_site_url(); ?>plugins/ms_admin/js/ms_fx.js"></script>
<script type="text/javascript" language="javascript" src="<?php get_site_url(); ?>plugins/ms_admin/js/ms_notepad.js"></script>
<div class="msa_notepad_body">
	<h3><i class="fa fa-sticky-note" title="<?php i18n('ms_admin/TXTNOTE1'); ?>"></i> <?php i18n('ms_admin/TXTNOTE'); ?></h3>
	<form name="form">
		<textarea id="notepad" onchange="savenote();" onmouseout="savenote();" name="message" onKeyDown="limitText(this,this.form.count,10000);" onKeyUp="limitText(this,this.form.count,10000);savenote();"></textarea>
		<div style="clear:both;"></div>
		<div style="padding:10px 0 0px 0;display:table;width:100%;">
			<div style="float:left;color:rgba(255,255,255,0.8);font-size:12pt;"><i class="fa fa-keyboard-o"></i></div>
			<div style="float:left;"><input readonly type="text" name="count" size="3" value="-----" class="schet"></div>
			<div class="msa_note_butt clear_butt" onclick="$('#notepad').val('');savenote();" style="float:right;"><i class="fa fa-trash"></i> <?php i18n('ms_admin/TXTNOTEСLEAN'); ?></div>
			<div class="msa_note_butt" onclick="$('#notepad').select();" style="float:right;"><i class="fa fa-i-cursor"></i> <?php i18n('ms_admin/TXTNOTESELECT'); ?></div>
		</div>
	</form>
</div>
<script type="text/javascript" language="javascript" src="<?php get_site_url(); ?>plugins/ms_admin/js/ms_notepad_save.js"></script>
<!--- MSadmin Panel --->